
Redmine - Patch #15689

Make favicon themeable

2013-12-12 16:09 - Felix Schäfer

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Themes Estimated time: 0.00 hour

Target version: 2.5.0   

Description

Plan.io had the case that we needed to be able to set the favicon according to the theme. We have developed a patch to be able to

use a favicon from the favicon directory in the theme directory (if more than one is available the [].first will be used).

(Patch coming up as soon as I have an issue number)

Associated revisions

Revision 12646 - 2014-01-11 12:22 - Jean-Philippe Lang

Make favicon themeable (#15689).

Patch by Felix Schäfer modified by Jean-Philippe Lang.

History

#1 - 2013-12-12 16:10 - Felix Schäfer

- File 15689-theme_favicon.patch added

- Status changed from New to Resolved

Here's the patch.

#2 - 2013-12-13 21:57 - Jan Niggemann (redmine.org team member)

- Tracker changed from Feature to Patch

- Status changed from Resolved to New

#3 - 2013-12-14 11:13 - Jean-Philippe Lang

Could you add a test for this? See source:/trunk/test/integration/lib/redmine/themes_test.rb

#4 - 2013-12-14 12:31 - Felix Schäfer

- File 15689-theme_favicon.patch added

Sure, see the attached updated patch.

#5 - 2014-01-03 20:41 - Jean-Philippe Lang

- Target version set to 2.5.0

#6 - 2014-01-11 12:23 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

Patch committed in r12646 with slight changes:

ruby 1.8 compatibility syntax

use of #assert_select instead of #assert_tag

Thanks.

#7 - 2014-01-11 12:29 - Felix Schäfer

Thanks!
https://plan.io
https://www.redmine.org/projects/redmine/repository/svn/entry/trunk/test/integration/lib/redmine/themes_test.rb
https://www.redmine.org/projects/redmine/repository/svn/revisions/12646


Files

15689-theme_favicon.patch 1.5 KB 2013-12-12 Felix Schäfer

15689-theme_favicon.patch 3.34 KB 2013-12-14 Felix Schäfer
